#pragma once
#include <QtWidgets/QMainWindow>
#include "ui_qtudptest.h"
#include <qudpsocket.h>
#include <qtimer.h>
#include <qdatetime.h>
#include <qelapsedtimer.h>

#include <ws2tcpip.h>
#include <IPHlpApi.h>
#pragma comment(lib, "Ws2_32.lib")
#pragma comment(lib, "iphlpapi.lib")

class QtUdpTest : public QMainWindow {
	Q_OBJECT
public:
	QtUdpTest(QWidget *parent = 0);
	~QtUdpTest();

private:
	Ui::QtUdpTestClass ui;
	QUdpSocket _Socket;
	QTimer _Timer;
	QElapsedTimer _ElapsedTimer;

private slots:
	void DoSend();
	void DoBind();
	void OnDataReady();
	void OnTimeout();
};
